function [Ai, bi] = plane_stress_reco (xe,ye,sig)

    # numerical integration
    w = [0.26014666666; 0.26014666666;0.26014666666; -0.28125];
    xi=[0.2, 0.2; 0.6, 0.2; 0.2, 0.6; 0.3333333333, 0.3333333333];

    Ae=(1/2)*((xe(2)*ye(3)-xe(3)*ye(2))-(xe(1)*ye(3)-xe(3)*ye(1))+(xe(1)*ye(2)-xe(2)*ye(1))) ;
    AAi=zeros(3);
    Ai=zeros(3);
    bi=zeros(3,3); #ridht hand side for 3 components
    for ip = 1:4
        Ni=[xi(ip,1), xi(ip,2), 1-xi(ip,1)-xi(ip,2)]; # approx. functions
        AAi = AAi + Ni'*Ni*w(ip)*2*Ae;
        bi = bi+Ni'*sig*w(ip)*2*Ae;
    endfor
    for i=1:3
        Ai(i,i)=sum(AAi(i,:));
    endfor
end

